#!/usr/bin/ruby
# -*- coding: utf-8 -*-

require 'uri'
require 'net/http'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/xml"

req = Net::HTTP::Post.new("/api01rv2/visitptlstv2")
# Request_Number :01 来院日の受診履歴取得
# Request_Number :02 来院年月の受診履歴取得
#
# 1.来院日付        Visit_Date      (IMPLIED)
# 2.診療科コード    Department_Code (REQUIRED class=02のみ)
#
# REQUIRED : 必須   IMPLIED : 任意
#
BODY = <<EOF
<data>
	<visitptlstreq type="record">
		<Request_Number type="string">01</Request_Number>
		<Visit_Date type="string">2003-01-14</Visit_Date>
		<Department_Code type="string">01</Department_Code>
	</visitptlstreq>
</data>
EOF

req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)
  puts req.body

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts res.body
}

